import 'package:hmg_patient_app/uitl/date_uitl.dart';

class WeekDiabtectResultAverage {
  dynamic dailyAverageResult;
  DateTime? dateChart;

  WeekDiabtectResultAverage({this.dailyAverageResult, this.dateChart});

  WeekDiabtectResultAverage.fromJson(Map<String, dynamic> json) {
    dailyAverageResult = json['DailyAverageResult'];
    dateChart = DateUtil.convertStringToDate(json['DateChart']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['DailyAverageResult'] = this.dailyAverageResult;
    data['DateChart'] = DateUtil.convertDateToString(this.dateChart!);
    return data;
  }
}
